---@meta

---@class UWG_IngameIntroScreen_C : UCommonActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field PressAnyKeyLbl UCommonTextBlock
---@field Background UImage
---@field FadeOutAnimation UWidgetAnimation
---@field FadeInAnimation UWidgetAnimation
---@field IdleAnimation UWidgetAnimation
---@field bAllowInput boolean
local UWG_IngameIntroScreen_C = {}

---@param MyGeometry FGeometry
---@param MouseEvent FPointerEvent
---@return FEventReply
function UWG_IngameIntroScreen_C:OnMouseButtonDown(MyGeometry, MouseEvent) end
---@param KeyEvent FKeyEvent
---@param bRemoveScreen boolean
function UWG_IngameIntroScreen_C:ShouldEventRemoveScreen(KeyEvent, bRemoveScreen) end
---@param MyGeometry FGeometry
---@param InKeyEvent FKeyEvent
---@return FEventReply
function UWG_IngameIntroScreen_C:OnKeyDown(MyGeometry, InKeyEvent) end
function UWG_IngameIntroScreen_C:Finished_AE9E54C448112B2F6F0EDE9FCB14397F() end
function UWG_IngameIntroScreen_C:Finished_D36552C14713FE80FE581095CCCE80DA() end
function UWG_IngameIntroScreen_C:PlayFadeInAnimation() end
function UWG_IngameIntroScreen_C:PlayFadeOutAnimation() end
function UWG_IngameIntroScreen_C:BP_OnActivated() end
---@param EntryPoint int32
function UWG_IngameIntroScreen_C:ExecuteUbergraph_WG_IngameIntroScreen(EntryPoint) end


